Blame SOURCES/rear-bz1492177-warning.patch

bddade
diff --git a/usr/share/rear/output/ISO/Linux-i386/249_check_rhel_grub2_efi_package.sh b/usr/share/rear/output/ISO/Linux-i386/249_check_rhel_grub2_efi_package.sh
bddade
new file mode 100644
bddade
index 00000000..4c4ded08
bddade
--- /dev/null
bddade
+++ b/usr/share/rear/output/ISO/Linux-i386/249_check_rhel_grub2_efi_package.sh
bddade
@@ -0,0 +1,9 @@
bddade
+# 249_check_rhel_grub2_efi_package.sh
bddade
+
bddade
+is_true $USING_UEFI_BOOTLOADER || return    # empty or 0 means NO UEFI
bddade
+
bddade
+(
bddade
+    VERBOSE=1
bddade
+    test -r /usr/lib/grub/x86_64-efi/moddep.lst
bddade
+    PrintIfError "WARNING: /usr/lib/grub/x86_64-efi/moddep.lst not found, grub2-mkimage will likely fail. Please install the grub2-efi-x64-modules package to fix this."
bddade
+)